WordPress Mailchimp plugin can’t connect to API

Dec
15
2015

If your mailchimp plugin is saying not connected and showing the error “HTTP Error: SSL certificate problem: unable to get local issuer certificate” it’s because your server’s CA bundle is out of date and you need to prevent the plugin from using the cURL opt ssl_verify. Luckily the plugin uses WordPress’s built in http functions / classes and there’s some WordPress filters you can hook to turn off the option. Simply add the following code to your theme’s functions.php